> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a quote



## OpenAPI

````yaml /api-reference/openapi.json get /v1/otc/quotes/{id}
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/otc/quotes/{id}:
    get:
      tags:
        - OTC
      summary: Get a quote
      operationId: getOtcQuote
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Quote
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      provider:
                        type: string
                        enum:
                          - QUIDAX
                          - BRIDGE
                      side:
                        type: string
                        enum:
                          - BUY
                          - SELL
                      fromCurrency:
                        type: string
                      toCurrency:
                        type: string
                      fromAmount:
                        type: string
                      toAmount:
                        type: string
                      rate:
                        type: string
                      feeAmount:
                        type: string
                      feeCurrency:
                        type: string
                      status:
                        type: string
                        enum:
                          - ACTIVE
                          - EXECUTED
                          - EXPIRED
                          - CANCELLED
                      expiresAt:
                        type: string
                        format: date-time
                      createdAt:
                        type: string
                        format: date-time
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.